<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class ProdFili {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function refreshProduct($CDFILIAL, $NRORG){
		$params = array( 
			':CDFILIAL'       => $CDFILIAL,
			':NRORG'       => $NRORG
		);
		$this->entityManager->getConnection()->executeQuery(Utilities\Query::REFRESH_PRODUCTS, $params);
	}
	
	public function getProdList($CDARVPRODFIN, $CDARVPRODINI, $CDNVPRODUTO, $NRORG){
		$params = array( 
			':CDARVPRODFIN'       => $CDARVPRODFIN,
			':CDARVPRODINI'       => $CDARVPRODINI,
			':CDNVPRODUTO'       => $CDNVPRODUTO,
			':NRORG'       => $NRORG
		);
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_PROD_LIST, $params);
	}
	
	public function getProdDetails($PRODUTOS, $CDNVPRODUTO, $NRORG){
		$params = array( 
			':PRODUTOS'       => $PRODUTOS,
			':CDNVPRODUTO'       => $CDNVPRODUTO,
			':NRORG'       => $NRORG
		);
		return $this->entityManager->getConnection()->fetchAll(self::GET_PROD_DETAIL, $params);
	}

	
	const GET_PROD_DETAIL = "
	SELECT CDARVPROD, CDNVPRODUTO, CDPRODUTO, IDPESAPROD, QTTARAPROD, IDCOBTXSERV, IDTIPOPROD, IDIMPPRODUTO, IDIMPRODUVEZ
          FROM PRODUTO 
         WHERE CDNVPRODUTO = :CDNVPRODUTO 
           AND INSTR (:PRODUTOS, '|'||TO_CHAR(CDPRODUTO)||'|') > 0
           AND NRORG = :NRORG
           ";
}
